lamch(3)

NAME
lamch - lamch: machine parameters

SYNOPSIS

  Functions
double precision function dlamch (cmach)
DLAMCH
real function slamch (cmach)
SLAMCH

Detailed Description

Function Documentation

  double precision function dlamch (character cmach)

DLAMCH

Purpose:

    !>
    !> DLAMCH determines double precision machine parameters.
    !>

Parameters
    CMACH

    !>          CMACH is CHARACTER*1
    !>          Specifies the value to be returned by DLAMCH:
    !>          = 'E' or 'e',   DLAMCH := eps
    !>          = 'S' or 's ,   DLAMCH := sfmin
    !>          = 'B' or 'b',   DLAMCH := base
    !>          = 'P' or 'p',   DLAMCH := eps*base
    !>          = 'N' or 'n',   DLAMCH := t
    !>          = 'R' or 'r',   DLAMCH := rnd
    !>          = 'M' or 'm',   DLAMCH := emin
    !>          = 'U' or 'u',   DLAMCH := rmin
    !>          = 'L' or 'l',   DLAMCH := emax
    !>          = 'O' or 'o',   DLAMCH := rmax
    !>          where
    !>          eps   = relative machine precision
    !>          sfmin = safe minimum, such that 1/sfmin does not overflow
    !>          base  = base of the machine
    !>          prec  = eps*base
    !>          t     = number of (base) digits in the mantissa
    !>          rnd   = 1.0 when rounding occurs in addition, 0.0 otherwise
    !>          emin  = minimum exponent before (gradual) underflow
    !>          rmin  = underflow threshold - base**(emin-1)
    !>          emax  = largest exponent before overflow
    !>          rmax  = overflow threshold  - (base**emax)*(1-eps)
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 68 of file dlamch.f.

  real function slamch (character cmach)

SLAMCH

Purpose:

    !>
    !> SLAMCH determines single precision machine parameters.
    !>

Parameters
    CMACH

    !>          CMACH is CHARACTER*1
    !>          Specifies the value to be returned by SLAMCH:
    !>          = 'E' or 'e',   SLAMCH := eps
    !>          = 'S' or 's ,   SLAMCH := sfmin
    !>          = 'B' or 'b',   SLAMCH := base
    !>          = 'P' or 'p',   SLAMCH := eps*base
    !>          = 'N' or 'n',   SLAMCH := t
    !>          = 'R' or 'r',   SLAMCH := rnd
    !>          = 'M' or 'm',   SLAMCH := emin
    !>          = 'U' or 'u',   SLAMCH := rmin
    !>          = 'L' or 'l',   SLAMCH := emax
    !>          = 'O' or 'o',   SLAMCH := rmax
    !>          where
    !>          eps   = relative machine precision
    !>          sfmin = safe minimum, such that 1/sfmin does not overflow
    !>          base  = base of the machine
    !>          prec  = eps*base
    !>          t     = number of (base) digits in the mantissa
    !>          rnd   = 1.0 when rounding occurs in addition, 0.0 otherwise
    !>          emin  = minimum exponent before (gradual) underflow
    !>          rmin  = underflow threshold - base**(emin-1)
    !>          emax  = largest exponent before overflow
    !>          rmax  = overflow threshold  - (base**emax)*(1-eps)
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 67 of file slamch.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.